org.richfaces.fragment.log

## Class RichFacesLog

- java.lang.Object
- - org.richfaces.fragment.log.RichFacesLog

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesLog.AdvancedLogInteractions>, AdvancedVisibleComponentIteractions<RichFacesLog.AdvancedLogInteractions>, Log

      public class RichFacesLog
      extends Object
      implements Log, AdvancedVisibleComponentIteractions<RichFacesLog.AdvancedLogInteractions>

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesLog.AdvancedLogInteractions`
    `static class` | `RichFacesLog.RichFacesLogEntries`
    `static class` | `RichFacesLog.RichFacesLogEntry`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.log.Log

      `Log.LogEntryLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesLog.AdvancedLogInteractions` | `advanced()`
    `void` | `changeLevel(Log.LogEntryLevel level)` Changes log level of this component.
    `void` | `clear()` Clears the all messages in log.
    `ListComponent<? extends LogEntry>` | `getLogEntries()` Returns all log entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesLog

          public RichFacesLog()

  - ### Method Detail

    - #### advanced

          public RichFacesLog.AdvancedLogInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesLog.AdvancedLogInteractions>`

    - #### clear

          public void clear()

      Description copied from interface: `Log`
      Clears the all messages in log. Waits until log is cleared.
      Specified by:
        `clear` in interface `Log`

    - #### changeLevel

          public void changeLevel(Log.LogEntryLevel level)

      Description copied from interface: `Log`
      Changes log level of this component. Thus it will log only logs with the same severity as given `level`, or bigger.
      Specified by:
        `changeLevel` in interface `Log`
      Parameters:
        `level` - the severity level to be set to this log component
      See Also:
        `Log.LogEntryLevel`

    - #### getLogEntries

          public ListComponent<? extends LogEntry> getLogEntries()

      Description copied from interface: `Log`
      Returns all log entries.
      Specified by:
        `getLogEntries` in interface `Log`
      Returns:
        list of all logs in this component

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.